Bug 117341 - net-mgmt/kismet
Summary: net-mgmt/kismet
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-19 20:10 UTC by Peter Thoenen
Modified: 2007-10-24 01:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Thoenen 2007-10-19 20:10:01 UTC
        Update to latest release.  This also address PR 109073, please
close it.



--------------090408010409010203000504
Content-Type: text/plain;
 name="kismet.diff.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="kismet.diff.txt"

diff -ruN kismet.orig/Makefile kismet/Makefile
--- kismet.orig/Makefile	Mon Oct 15 10:07:39 2007
+++ kismet/Makefile	Mon Oct 15 15:07:07 2007
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	kismet
-PORTVERSION=	200701.r1
+PORTVERSION=	200710.r1
 CATEGORIES=	net-mgmt
 MASTER_SITES=	http://www.kismetwireless.net/code/
-DISTNAME=	kismet-2007-01-R1b
+DISTNAME=	kismet-2007-10-R1
 
 MAINTAINER=	peter.thoenen@yahoo.com
 COMMENT=	802.11 layer2 wireless network detector, sniffer, and IDS
diff -ruN kismet.orig/distinfo kismet/distinfo
--- kismet.orig/distinfo	Mon Oct 15 10:07:39 2007
+++ kismet/distinfo	Mon Oct 15 15:10:02 2007
@@ -1,6 +1,6 @@
+MD5 (kismet-2007-10-R1.tar.gz) = 2100c667e69db0cde35fa2d06c8516e2
+SHA256 (kismet-2007-10-R1.tar.gz) = 023e7f47039c1ad8615052e464f76a3cd496a423449b931036d127c56d58b2b9
+SIZE (kismet-2007-10-R1.tar.gz) = 646452
 MD5 (kismet-2007-01-R1b.tar.gz) = a1dcea71f0c3f881ef72f5bca2db7b39
-SHA256 (kismet-2007-01-R1b.tar.gz) = 1b998b34e2e9377f5ac7704295d64507234fe7656e49d384f8bf95604e97e05b
-SIZE (kismet-2007-01-R1b.tar.gz) = 625585
-MD5 (gpsmap-gmap-0.1.tgz) = 7c62c841ccdc187812a0fe602d92d97c
 SHA256 (gpsmap-gmap-0.1.tgz) = 66c5e9c4fed70e88d092754746014bb02071b742c23390f1ec795fd14b32317b
 SIZE (gpsmap-gmap-0.1.tgz) = 13845
diff -ruN kismet.orig/files/patch-kismet-gpsmap.cc kismet/files/patch-kismet-gpsmap.cc
--- kismet.orig/files/patch-kismet-gpsmap.cc	Wed Dec 31 19:00:00 1969
+++ kismet/files/patch-kismet-gpsmap.cc	Mon Oct 15 15:16:47 2007
@@ -0,0 +1,16 @@
+--- gpsmap.cc.orig	Mon Oct 15 15:13:32 2007
++++ gpsmap.cc	Mon Oct 15 15:15:19 2007
+@@ -2242,11 +2242,11 @@
+     pthread_attr_destroy(&attr);
+ 
+     // Now wait for the threads to complete and come back
+-    int thread_status;
++    intptr_t thread_status;
+     for (int t = 0; t < numthreads; t++) {
+         void *tmp;
+         pthread_join(mapthread[t], &tmp);
+-	thread_status = reinterpret_cast<int>(tmp);
++	thread_status = reinterpret_cast<intptr_t>(tmp);
+     }
+ #else
+     // Run one instance of our "thread".  thread number 0, it should just crunch it all

--------------090408010409010203000504--
Comment 1 dfilter service freebsd_committer 2007-10-24 00:54:13 UTC
miwi        2007-10-23 23:54:09 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/kismet      Makefile distinfo 
  Added files:
    net-mgmt/kismet/files patch-kismet-gpsmap.cc 
  Log:
  - Update to 200710.r1
  
  PR:             117341
  Submitted by:   Peter Thoenen <peter.thoenen@yahoo.com> (maintainer)
  
  Revision  Changes    Path
  1.15      +2 -2      ports/net-mgmt/kismet/Makefile
  1.11      +3 -3      ports/net-mgmt/kismet/distinfo
  1.1       +16 -0     ports/net-mgmt/kismet/files/patch-kismet-gpsmap.cc (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2007-10-24 00:54:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!